Package org.linphone.core

# Enum Class Conference.SecurityLevel

java.lang.Object
java.lang.Enum<Conference.SecurityLevel>
org.linphone.core.Conference.SecurityLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<Conference.SecurityLevel>`, `Constable`

Enclosing interface:
  Conference

public static enum Conference.SecurityLevel extends Enum<Conference.SecurityLevel>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EndToEnd`
End-to-end encryption.
`None`
No security.
`PointToPoint`
Point-to-point encryption.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Conference.SecurityLevel`
`fromInt(int value)`
`int`
`toInt()`
`static Conference.SecurityLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Conference.SecurityLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final Conference.SecurityLevel None
No security.

### PointToPoint

public static final Conference.SecurityLevel PointToPoint
Point-to-point encryption.

### EndToEnd

public static final Conference.SecurityLevel EndToEnd
End-to-end encryption.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Conference.SecurityLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Conference.SecurityLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Conference.SecurityLevel fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()